			NewView Extensions 1.07
			=======================
			   J.G.Harston, 1995

This converts VIEW version B3.0 as found in the Master, extending it in
various ways. To do this, you must do the following:

i)   Get a ROM image of VIEW. You can do this by doing *ROMS to see which
	ROM VIEW is in. On the Master it is in bank E (14). Save it to disk
	by doing:
		*SRWRITE 8000+4000 3000 E
		*SAVE VIEWB3 3000+4000
	You cannot use the Master's *SRSAVE command as this does not allow
	you to save from ROM, only from RAM.
ii)  If you want to create a version that will relocate itself on the 6502
	second processor, you also need to create a pre-relocated image. Do
	this by doing:
		Ensure a 6502 second processor is turned on
		Start VIEW with *WORD
		The number of free bytes should be around 48,000
		Do *SAVE VIEWHI C503 F800
iii) Run the NewView program. Enter the ROM image name when prompted, for
	example VIEWB3. If you want to create the relocatable version, also
	enter the relocated image name, eg VIEWHI. The program will create
	the modified ROM image and save it.
iv)  Load in the ROM image, eg using *SRLOAD VIEWJ3 8000 <romnum>, and
	press Ctrl-Break. On the Master you will need to use *UNPLUG 14 to
	unplug the existing VIEW ROM.

You could then program the new VIEW into an EPROM and install it
permanently, unplugging the original version (either physically or by
using *UNPLUG).


Extensions to VIEW
==================
VIEW is extended as follows:

VIEW starts up with format/insert F-I instead of format/overwrite FJ-.

COUNT responds with 'xxxx words counted' instead of 'word(s) counted', as
it is very unlikely that you will actually count one word.

SAVE sets the load address to &FFFFFF00 so it is recognised as filetyped
to &FFF (Text) by RISC OS/Archimedes computers and other systems.

READ converts LF/CR, CR/LF and LF to CR, so *SPOOL, RISC OS/Arc and PC
text files can easily be read in, and top-bit-set characters are also
allowed through.

Keyboard reading is extended to allow accented characters and various
lines and blobs to be entered. These are characters 128 to 223 in the
character set refered to in printer manuals as 'pc8'.

On startup the top-bit set characters are redefined to the 'pc8' character
set.


Using extended keyboard input
=============================
Press Ctrl and the main letter, then one of the following:

	" or 2 for umlaut		% or 5 for cidilla
	/ or ? for acute accent		\ or | for grave accent
	^ for hat			~ for ny

Where applicable, Shift-accent selects the upper case accented character
and unShift-accent selects the lower case accented character.

Punctuation marks are entered by pressing Ctrl-X, then the main mark.

(There can occasionally be problems if a  or  character is the first
			letter of a line)

    Ctrl-A  "		   Ctrl-F  s		   Ctrl-U  "
    Ctrl-A  2					   Ctrl-U  2
    Ctrl-A  /		   Ctrl-I  2		   Ctrl-U  /
    Ctrl-A  \		   Ctrl-I  /		   Ctrl-U  \
    Ctrl-A  O		   Ctrl-I  \		   Ctrl-U  ^
    Ctrl-A  o		   Ctrl-I  ^
    Ctrl-A  ^					   Ctrl-Y  2
    Ctrl-A  E		   Ctrl-N  ~		   Ctrl-Y  -
    Ctrl-A  e		   Ctrl-N  ^
    Ctrl-A  _					   Ctrl-P  t
			   Ctrl-O  "		   Ctrl-C  |
    Ctrl-C  %  	   Ctrl-O  2
    Ctrl-C  5		   Ctrl-O  /		   Ctrl-X  ?
			   Ctrl-O  \		   Ctrl-X  !
    Ctrl-E  2		   Ctrl-O  ^		   Ctrl-X  <
    Ctrl-E  ?  	   Ctrl-O  _		   Ctrl-X  >
    Ctrl-E  /					   Ctrl-X  2
    Ctrl-E  \					   Ctrl-X  4
    Ctrl-E  ^					   Ctrl-X  _


Numeric Keypad
==============
The keypad on the Master will produce lines and blocks:

		CtrlĿ
		No CtrlĿ 
			    v v
	ͻ
	 +   -   /   *   < Shift
	 +   -   /   *   < No Shift
	͹
	          ĺ>	Pressing Ctrl-# or Ctrl-Shift-#
	 7 n  8 n  9 n  # # 	then a number selects a line from:
	͹	 Ctrl:	Ѹ    Ctrl-Shift:  ҷ
	          DEL 		ص		    ׶
	 4 n  5 n  6 n      		Ͼ		    н
	͹
	            	Typing a three-digit number with
	 1 n  2 n  3 n  , , 	Ctrl held down will enter that
	͹	ASCII character.
	         RETURN  
	 0 n  . .            
	ͼ

The Ctrl-number feature can also be used on the normal number keys.


Extended Keyboard Table
=======================
128  Ctrl-C-%     160  Ctrl-A-/     192  Shft-KP1     224 
129  Ctrl-U-2     161  Ctrl-I-/     193  Shft-KP2     225 
130  Ctrl-E-/     162  Ctrl-O-/     194  Shft-KP8     226 
131  Ctrl-A-^     163  Ctrl-U-/     195  Shft-KP4     227 
132  Ctrl-A-2     164  Ctrl-N-^     196  Shft-KP.     228 
133  Ctrl-A-\     165  Ctrl-N-~     197  Shft-KP5     229 
134  Ctrl-A-o     166  Ctrl-A-_     198  Ctrl#-KP4    230 
135  Ctrl-C-5     167  Ctrl-O-_     199  CtSh#-KP4    231 
136  Ctrl-E-^     168  Ctrl-X-?     200  CtSh-KP1     232 
137  Ctrl-E-2     169  Shft-KP,     201  CtSh-KP7     233 
138  Ctrl-E-\     170  CtSh-KP,     202  CtSh-KP5     234 
139  Ctrl-I-2     171  Ctrl-X-2     203  CtSh-KP8     235 
140  Ctrl-I-^     172  Ctrl-X-4     204  CtSh-KP4     236 
141  Ctrl-I-\     173  Ctrl-X-1     205  CtSh-KP.     237 
142  Ctrl-A-"     174  Ctrl-X-<     206  CtSh-KP5     238 
143  Ctrl-A-O     175  Ctrl-X->     207  Ctrl#-KP2    239 
144  Ctrl-E-?     176  CtSh-KP/     208  CtSh#-KP2    240 
145  Ctrl-A-e     177  CtSh-KP*     209  Ctrl#-KP8    241 
146  Ctrl-A-E     178  Ctrl-KP*     210  CtSh#-KP8    242 
147  Ctrl-O-^     179  Shft-KP0     211  CtSh#-KP1    243 
148  Ctrl-O-2     180  Shft-KP6     212  Ctrl#-KP1    244 
149  Ctrl-O-\     181  Ctrl#-KP6    213  Ctrl#-KP7    245 
150  Ctrl-U-^     182  CtSh#-KP6    214  CtSh#-KP7    246 
151  Ctrl-U-\     183  CtSh#-KP9    215  CtSh#-KP5    247 
152  Ctrl-Y-2     184  CtSh#-KP9    216  Ctrl#-KP5    248 
153  Ctrl-O-2     185  CtSh-KP6     217  Shft-KP3     249 
154  Ctrl-U-"     186  CtSh-KP0     218  Shft-KP7     250 
155  Ctrl-C-|     187  CtSh-KP9     219  Ctrl-KP/     251 
156  Ctrl-X-_     188  CtSh-KP3     220  Ctrl-KP-     252 
157  Ctrl-Y-=     189  CtSh#-KP3    221  CtSh-KP+     253 
158  Ctrl-P-t     190  Ctrl#-KP3    222  Ctrl-KP+     254  
159  Ctrl-F-s     191  Shft-KP9     223  CtSh-KP-     255  

